Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011905 [DCSS] Bug Report minor have not tried 2019-02-26 07:12 2021-07-23 21:35
Reporter Yermak View Status public  
Assigned To
Priority normal Resolution open  
Status confirmed   Product Branch 0.23 ancient branch
Summary 0011905: Autofight fails to work in specific wall placement.
Description Tab often refuses to work ("No reachable target in view!") when faces some specific terrain which includes deep water or glass walls, which could be explained by nonperfect path-finding algorithm (though still the path required wouldn't include any steps away from the target). But this time there were no such obstacles, only rock walls! See attachment.
Additional Information
Tags No tags attached.
Attached Files png file icon No_reachable_target_in_view.png [^] (295,572 bytes) 2019-02-26 07:12
? file icon upgrade_test2.cs [^] (104,504 bytes) 2019-03-01 23:29
png file icon No reachable target in view.png [^] (125,750 bytes) 2019-03-08 02:11
png file icon test2-pathing-illustrated2.png [^] (277,962 bytes) 2021-04-26 08:34
png file icon No_reachable_target_in_view2.png [^] (131,592 bytes) 2021-05-16 11:03
? file icon Wuuzeif-statues-lava.cs [^] (71,460 bytes) 2021-07-23 21:32
png file icon Wuuzeif-statues-lava.png [^] (269,403 bytes) 2021-07-23 21:33
? file icon Wuuzeif-perma-tele.cs [^] (71,861 bytes) 2021-07-23 21:33
png file icon Wuuzeif-perma-tele.png [^] (366,354 bytes) 2021-07-23 21:33
? file icon Wuuzeif-cloud-los-block-2-turn.cs [^] (70,670 bytes) 2021-07-23 21:33
png file icon Wuuzeif-cloud-los-block-2-turn.png [^] (408,810 bytes) 2021-07-23 21:33
? file icon Wuuzeif-grate-deep-water.cs [^] (70,112 bytes) 2021-07-23 21:34
png file icon Wuuzeif-grate-deep-water.png [^] (277,374 bytes) 2021-07-23 21:35

- Relationships
has duplicate 0012576resolvedadvil Autofight incorrectly fails with "No reachable target in view!" 

-  Notes
(0033146)
advil (administrator)
2019-03-01 23:32

I have uploaded a save that replicates this situation (ignore the name, this was just repurposed from a save I had lying around). What seems to be critical is the 1 space of unseen territory that is two the left of the kobold in Yermak's screenshot (there are a bunch of other aspects of the setup recreated in my save that probably don't matter). Once you move so that this spot becomes explored, tab from the buggy position works.

For anyone trying to recreate this, this spot needs to be genuinely unseen, so use X ctrl-x (wizmode only) instead of X ctrl-f.
(0033175)
RoGGa (reporter)
2019-03-08 02:11

added another screen capture with a teleport trap causing the issue
(0034268)
Implojin (reporter)
2021-04-26 08:32
edited on: 2021-04-26 08:35

After a little bit of testing, I think that upgrade_test2.cs has the same issue as mantis 12576: choose_move_towards() seems to be using a greedy algorithm for its pathfinding.

https://crawl.develz.org/mantis/bug_view_page.php?bug_id=12576 [^]

I've uploaded a screenshot here illustrating this.

(0034345)
advil (administrator)
2021-07-22 22:21

I think this should be fixed as of: I think this bug should be fixed as of: https://github.com/crawl/crawl/commit/334057b17ac2 [^]

I'll wait a bit before closing in case there are other problems with the fix. I'm not sure why, but the teleport trap case is also currently working for me (this fix shouldn't affect that case) -- possibly it was accidentally fixed by another change since 2019.
(0034346)
Implojin (reporter)
2021-07-23 21:32

This isn't quite fixed yet: I'm uploading some savefiles with positional setups that still have broken pathing after 334057b17ac2.

One basic setup is using floor features that don't block LOS, but do block pathing, as in the lava or deep water saves here.

Another of these setups breaks pathing with a permanent teleport trap, instead of relying on unexplored space to do so.

Finally, I've setup a situation that uses clouds to cause autofight to choose to move the character into a position that breaks line of sight on the second turn, instead of choosing the open path. This breaks autofight on the second turn, rather than the first, and is is technically a subtly different-but-related bug, I think? (Keep time frozen with wizmode to test this one, so that the clouds don't move and ruin the setup.)

- Issue History
Date Modified Username Field Change
2019-02-26 07:12 Yermak New Issue
2019-02-26 07:12 Yermak File Added: No_reachable_target_in_view.png
2019-03-01 23:29 advil File Added: upgrade_test2.cs
2019-03-01 23:32 advil Note Added: 0033146
2019-03-01 23:32 advil Status new => confirmed
2019-03-08 02:11 RoGGa File Added: No reachable target in view.png
2019-03-08 02:11 RoGGa Note Added: 0033175
2021-04-26 08:32 Implojin Note Added: 0034268
2021-04-26 08:32 Implojin Note Edited: 0034268
2021-04-26 08:34 Implojin File Added: test2-pathing-illustrated2.png
2021-04-26 08:35 Implojin Note Edited: 0034268
2021-05-16 11:03 Yermak File Added: No_reachable_target_in_view2.png
2021-07-22 22:20 advil Relationship added has duplicate 0012576
2021-07-22 22:21 advil Note Added: 0034345
2021-07-23 21:32 Implojin Note Added: 0034346
2021-07-23 21:32 Implojin File Added: Wuuzeif-statues-lava.cs
2021-07-23 21:33 Implojin File Added: Wuuzeif-statues-lava.png
2021-07-23 21:33 Implojin File Added: Wuuzeif-perma-tele.cs
2021-07-23 21:33 Implojin File Added: Wuuzeif-perma-tele.png
2021-07-23 21:33 Implojin File Added: Wuuzeif-cloud-los-block-2-turn.cs
2021-07-23 21:33 Implojin File Added: Wuuzeif-cloud-los-block-2-turn.png
2021-07-23 21:34 Implojin File Added: Wuuzeif-grate-deep-water.cs
2021-07-23 21:35 Implojin File Added: Wuuzeif-grate-deep-water.png


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker